﻿@{
    Layout = "~/Views/Shared/_Layout_Admin.cshtml";
}
@using BenhVien.UI.Models;
@model ThongTinKhamBenh
<div class="x_panel">
    <div class="x_title">
        <h2><i class="fa fa-pencil"></i>Khám bệnh</h2>
        <div class="clearfix"></div>
        <ul class="nav nav-tabs bar_tabs nhomquyen col-md-12" role="tablist">
            <li role="presentation" class="active"><a href="#" id="thongtincoban">Thông tin cơ bản</a></li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <form id="frm-capnhat1" method="post" enctype="multipart/form-data" novalidate="novalidate" class="fv-form fv-form-bootstrap">
            <input type="hidden" id="KhamBenhID" name="KhamBenhID" value="@(Model != null ? Model.KhamBenh.Id:0)" />
            <input type="hidden" id="Id" name="Id" value="@(Model != null && Model.ChiTietKhamBenh != null  ? Model.ChiTietKhamBenh.Id:0)" />
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Mã y tế</label>
                    <div>
                        <input type="text" class="form-control" id="MaSoKhamBenh" name="MaSoKhamBenh" readonly value="@(Model != null && Model.KhamBenh.MaSoKhamBenh != null?Model.KhamBenh.MaSoKhamBenh:"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Họ tên</label>
                    <div>
                        <input type="text" class="form-control" id="HoTen" name="HoTen" readonly value="@(Model != null && Model.NguoiDung.HoTen != null?Model.NguoiDung.HoTen:"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Ngày sinh</label>
                    <div>
                        <input type="text" class="form-control" id="NgaySinh" name="NgaySinh" readonly value="@(Model != null && Model.NguoiDung.NgaySinh != null?Model.NguoiDung.NgaySinh.Value.ToString("dd/MM/yyyy"):"" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
           
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Số BHYT</label>
                    <div>
                        <input type="text" class="form-control" id="SoBHYT" name="SoBHYT" readonly value="@(Model != null && Model.NguoiDung.SoBHYT != null?Model.NguoiDung.SoBHYT:"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Ngày áp dụng</label>
                    <div>
                        <input type="text" class="form-control" id="NgayApDungBHYT" name="NgayApDungBHYT" readonly value="@(Model != null && Model.NguoiDung.NgayApDungBHYT != null?Model.NguoiDung.NgayApDungBHYT.Value.ToString("dd/MM/yyyy"):"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Ngày kết thúc</label>
                    <div>
                        <input type="text" class="form-control" id="NgayHetHanBHYT" name="NgayHetHanBHYT" readonly value="@(Model != null && Model.NguoiDung.NgayHetHanBHYT != null?Model.NguoiDung.NgayHetHanBHYT.Value.ToString("dd/MM/yyyy"):"" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-3 col-sm-3 col-xs-12">
                    <label class="control-label" for="first-name">Giới tính:</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="GioiTinh" id="GioiTinh" disabled="@(Model != null)">
                            <option value="" @(Model == null ? "selected" : "")>Chọn giới tính....</option>
                            <option value="1" @(Model != null && Model.NguoiDung.GioiTinh != null && Model.NguoiDung.GioiTinh == 1 ? "selected" : "")>Nam</option>
                            <option value="2" @(Model != null && Model.NguoiDung.GioiTinh != null && Model.NguoiDung.GioiTinh == 2 ? "selected" : "")>Nữ</option>
                            <option value="3" @(Model != null && Model.NguoiDung.GioiTinh != null && Model.NguoiDung.GioiTinh == 3 ? "selected" : "")>Khác</option>
                        </select>
                    </div>
                </div>
            </div>
            @*<div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-6 col-sm-6 col-xs-12">
                    <label class="control-label" for="first-name">Khoa</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="KhoaID" id="KhoaID">
                            @Html.Raw(ViewBag.cbxKhoa)
                        </select>
                    </div>
                </div>
                <div class="form-group col-md-6 col-sm-6 col-xs-12">
                    <label class="control-label" for="first-name">Phòng</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="PhongID" id="PhongID">
                            <option value="">Chọn phòng....</option>
                        </select>
                    </div>
                </div>
            </div>*@
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <label class="control-label" for="first-name">Địa chỉ:</label>
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <input type="text" class="form-control" id="DiaChi" readonly name="DiaChi" value="@(Model != null && Model.NguoiDung.DiaChi != null? Model.NguoiDung.DiaChi:"" )" autocomplete="off" )>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Mạch (lần/ phút)</label>
                    <div>
                        <input type="text" class="form-control" id="Mach" name="Mach" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.Mach != null?Model.ChiTietKhamBenh.Mach.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Nhịp thở ( lần/phút )</label>
                    <div>
                        <input type="text" class="form-control" id="NhipTho" name="NhipTho" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.NhipTho != null?Model.ChiTietKhamBenh.NhipTho.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Chiều cao (cm)</label>
                    <div>
                        <input type="text" class="form-control" id="ChieuCao" name="ChieuCao" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.ChieuCao != null?Model.ChiTietKhamBenh.ChieuCao.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Nhiệt độ ( độ C)</label>
                    <div>
                        <input type="text" class="form-control" id="NhietDo" name="NhietDo" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.NhietDo != null?Model.ChiTietKhamBenh.NhietDo.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Huyết áp (mmHg)</label>
                    <div>
                        <input type="text" class="form-control" id="HuyetAp" name="HuyetAp" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.HuyetAp != null?Model.ChiTietKhamBenh.HuyetAp.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Cân nặng (kg)</label>
                    <div>
                        <input type="text" class="form-control" id="CanNang" name="CanNang" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.CanNang != null?Model.ChiTietKhamBenh.CanNang.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Creatinin ( mg%)</label>
                    <div>
                        <input type="text" class="form-control" id="Creatinin" name="Creatinin" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.Creatinin != null?Model.ChiTietKhamBenh.Creatinin.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Độ thanh thải (mmHg)</label>
                    <div>
                        <input type="text" class="form-control" id="DoThanhThai" name="DoThanhThai" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.DoThanhThai != null?Model.ChiTietKhamBenh.DoThanhThai.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
                <div class="form-group col-md-4 col-sm-4 col-xs-12">
                    <label class="control-label" for="first-name">Chỉ số BMI (kg)</label>
                    <div>
                        <input type="text" class="form-control" id="BMI" name="BMI" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.BMI != null?Model.ChiTietKhamBenh.BMI.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Kết quả nhận định</label>
                    <div>
                        <input type="text" class="form-control" id="KetQuaBanDau" name="KetQuaBanDau" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.KetQuaBanDau != null?Model.ChiTietKhamBenh.KetQuaBanDau.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>

            </div>
            @*<div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Chuẩn đoán tuyến trước</label>
                    <div>
                        <input type="text" class="form-control" id="KetQuaTuTuyenTruoc" name="KetQuaTuTuyenTruoc" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.KetQuaTuTuyenTruoc != null?Model.ChiTietKhamBenh.KetQuaTuTuyenTruoc.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>*@
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Chuẩn đoán bệnh</label>
                    <div>
                        <input type="text" class="form-control" id="ChuanDoanBenh" name="ChuanDoanBenh" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.ChuanDoanBenh != null?Model.ChiTietKhamBenh.ChuanDoanBenh.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Chuẩn đoán nguyên nhân</label>
                    <div>
                        <input type="text" class="form-control" id="ChuanDoanNguyenNhan" name="ChuanDoanNguyenNhan" value="@(Model != null && Model.ChiTietKhamBenh != null && Model.ChiTietKhamBenh.ChuanDoanNguyenNhan != null?Model.ChiTietKhamBenh.ChuanDoanNguyenNhan.ToString(): "" )" autocomplete="off" )>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Kết luận bệnh</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="BenhID" id="BenhID">
                            @Html.Raw(ViewBag.cbxBenh)
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                    <label class="control-label" for="first-name">Kết luận</label>
                    <div>
                        <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                            <option value="" @(Model == null ? "Selected" : "")>Chọn trạng thái</option>
                            <option value="@EnumTrangThaiKhamBenh.HOAN_THANH" @((Model != null && Model.KhamBenh.TrangThaiID == EnumTrangThaiKhamBenh.HOAN_THANH) ? "Selected" : "")>@EnumTrangThaiKhamBenh.ToString(EnumTrangThaiKhamBenh.HOAN_THANH)</option>
                            <option value="@EnumTrangThaiKhamBenh.CHO_XET_NGHIEM" @((Model != null && Model.KhamBenh.TrangThaiID == EnumTrangThaiKhamBenh.CHO_XET_NGHIEM) ? "Selected" : "")>@EnumTrangThaiKhamBenh.ToString(EnumTrangThaiKhamBenh.CHO_XET_NGHIEM)</option>
                            <option value="@EnumTrangThaiKhamBenh.NOI_TRU" @((Model != null && Model.KhamBenh.TrangThaiID == EnumTrangThaiKhamBenh.NOI_TRU) ? "Selected" : "")>@EnumTrangThaiKhamBenh.ToString(EnumTrangThaiKhamBenh.NOI_TRU)</option>
                            <option value="@EnumTrangThaiKhamBenh.CHUYEN_TUYEN" @((Model != null && Model.KhamBenh.TrangThaiID == EnumTrangThaiKhamBenh.CHUYEN_TUYEN) ? "Selected" : "")>@EnumTrangThaiKhamBenh.ToString(EnumTrangThaiKhamBenh.CHUYEN_TUYEN)</option>
                            <option value="@EnumTrangThaiKhamBenh.DANG_KHAM" @((Model != null && Model.KhamBenh.TrangThaiID == EnumTrangThaiKhamBenh.DANG_KHAM) ? "Selected" : "")>@EnumTrangThaiKhamBenh.ToString(EnumTrangThaiKhamBenh.DANG_KHAM)</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                <div class="clearfix"></div>
                <div class="ln_solid"></div>

                <div class="form-group clearfix">
                    <div class="col-md-12 col-sm-12 col-xs-12 text-right">
                        <a class="btn btn-info" onclick="InDonThuoc()">Chi phí thuốc</a>
                        @*<a class="btn btn-info" onclick="XemChiPhi()">Xem chi phí</a>*@
                        <a class="btn btn-danger" onclick="ChonDonThuoc()">Cấp đơn thuốc</a>
                        <a class="btn btn-warning" onclick="ChonDichVu()">Cận lâm sàng</a>
                        <a class="btn btn-primary" href="@Url.Action("DangKy","KhamBenh", new { area = "QuanTri"})">Hủy</a>
                        <button id="btn-save1" type="button" onclick="SaveData()" class="btn btn-success">Lưu thông tin</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal" tabindex="-1" role="dialog" id="modal-capnhatthongtin"></div>
<div class="modal" tabindex="-1" role="dialog" id="modal-themmoithongtin"></div>
<script>
    mnActive = "mn-dangky";
    var donThuocID = 0;
    var sudungdichvuID = 0;
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        if ('@(Model.KhamBenh.TrangThaiID)' == '@EnumTrangThaiKhamBenh.NOI_TRU') {
            $('#frm-capnhat1 button').attr("disabled", "true");
        }
        $('#KhoaID').change();
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            $('#frm-capnhat1').formValidation('updateStatus', 'BirthDay', 'NOT_VALIDATED').formValidation('validateField', 'BirthDay');
        });
    });

</script>
<script>
    $(document).on("change", "[name=KhoaID]", function () {
        debugger;
        var id = $('[name=KhoaID]').val();
        var select = '@(Model != null && Model.ChiTietKhamBenh != null ? Model.ChiTietKhamBenh.KhoaID: null)';
        var params = {
            id: id,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetPhongByKhoa", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            async: false,
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#PhongID').html(data.data);
                    $("#PhongID").selectpicker("refresh");
                    $('#PhongID').val('@(Model != null && Model.ChiTietKhamBenh != null ? Model.ChiTietKhamBenh.PhongID.ToString(): "")').change();
                }
            }
        });
    });
    @*let dataModel = @Html.Raw(Json.Encode(Model.OrderDetails));*@
    $(function () {
        $('#ValueDate').datetimepicker({ format: 'DD/MM/YYYY' });
        $('#ExpireDate').datetimepicker({
            format: 'DD/MM/YYYY',
        });
    });

    function ChonDonThuoc() {
        debugger;
        console.log(donThuocID);
        var id = "";
        if (donThuocID == 0) {
            id = '@(Model.DonThuoc != null ? Model.DonThuoc.Id : -1)';
        } else {
            id = donThuocID;
        }
        var thongtinID = "";
        var data =  @Html.Raw(Json.Encode(Model));
        console.log(data);
        if(data.DonThuoc != null){
            if(data.DonThuoc.NhapVienID != null){
                thongtinID = data.DonThuoc.KhamBenhID;
            }else  if(data.DonThuoc.KhamBenhID != null){
                thongtinID = data.DonThuoc.KhamBenhID;
            }
        }

        var params = {
            id: id,
            thongtinID: thongtinID

        }
        $.ajax({
            url: '@Url.Action("DonThuocKhamBenh", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });

    }

    function InDonThuoc() {
        var params = {
            id: '@Model.KhamBenh.Id'
        }
        $.ajax({
            url: '@Url.Action("ExportChiPhiThuoc", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                alertify.success(data.msg);
            }
        });
    }
    function XemChiPhi() {
        var params = {
            id: '@Model.KhamBenh.Id'
        }
        $.ajax({
            url: '@Url.Action("ExportExcel", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                alertify.success(data.msg);
            }
        });
    }
    function ChonDichVu() {
        console.log(donThuocID);
        var id = "";
        if (donThuocID == 0) {
            id = '@(Model.DichVu != null ? Model.DichVu.Id : -1)';
        } else {
            id = donThuocID;
        }
        var params = {
            id: id
        }
        $.ajax({
            url: '@Url.Action("SuDungDichVu", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: params,
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
            }
        });

    }
</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                KhoaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                PhongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                PhongID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                    }
                },
                Mach: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                NhipTho: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                ChieuCao: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                NhietDo: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                CanNang: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                HuyetAp: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                Creatinin: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                BMI: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
                TrangThaiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DoThanhThai: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                if (isNaN(value)) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu dạng số !'
                                    }
                                }
                                return true;
                            }
                        },
                    }
                },
            }
        })
    });
    function SaveData(){
        $.ajax({
            url: '@Url.Action("Update", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            dataType: 'json',
            mimeType: "multipart/form-data",
            contentType: false,
            processData: false,
            async: false,
            cache: false,
            data: new FormData(document.getElementById('frm-capnhat1')),
            success: function (data) {
                if (data.kq == "ok") {
                    alertify.success(data.msg);
                    location.reload();
                }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }

</script>



